﻿@using UsingViewsAndModels_LeoSkadden.Models
@model Dictionary<int, UsingViewsAndModels_LeoSkadden.Models.Product>

@{
	ViewBag.Title = "Index";
	Product productModel = new Product();
}

<h2>Index</h2>

<p>
	@Html.ActionLink("Create New", "CreateProduct")
</p>
<table class="table">
	<tr>
		<th>
			@Html.DisplayNameFor(model => productModel.Name)
		</th>
		<th>
			@Html.DisplayNameFor(model => productModel.Price)
		</th>
		<th>
			@Html.DisplayNameFor(model => productModel.Description)
		</th>
		<th>
			@Html.DisplayNameFor(model => productModel.Publisher)
		</th>
		<th>
			@Html.DisplayNameFor(model => productModel.Category)
		</th>
		<th>
			@Html.DisplayNameFor(model => productModel.Picture)
		</th>
		<th></th>
	</tr>

@foreach (var item in Model) {
	<tr>
		<td>
			@Html.DisplayFor(modelItem => item.Value.Name)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.Price)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.Description)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.Publisher)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.Category)
		</td>
		<td>
			<img src="data:image/png;base64, @item.Value.PictureBase64" width="200" height="150"/>
		</td>
		<td>
			@Html.ActionLink("Edit", "EditProduct", new {id = item.Key}) |
			@Html.ActionLink("Delete", "DeleteProduct", new {id = item.Key, confirm = true})
		</td>
	</tr>
}

</table>
